#ifndef SPLREADER_H
#define SPLREADER_H

#include "SHUReader.h"

class CSPLReader :
	public CSHUReader
{
public:
	CSPLReader(CReader *Owner, CBaseCommunication *Communicator);
	virtual ~CSPLReader(void);
protected:
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);

};

#endif
#ifndef SPLREADER_H
#define SPLREADER_H

#include "SHUReader.h"

class CSPLReader :
	public CSHUReader
{
public:
	CSPLReader(CReader *Owner, CBaseCommunication *Communicator);
	virtual ~CSPLReader(void);
protected:
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);

};

#endif
#ifndef SPLREADER_H
#define SPLREADER_H

#include "SHUReader.h"

class CSPLReader :
	public CSHUReader
{
public:
	CSPLReader(CReader *Owner, CBaseCommunication *Communicator);
	virtual ~CSPLReader(void);
protected:
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);

};

#endif
